PROGRAM robot

  IMPLICIT NONE

  INTEGER :: N        
  INTEGER :: AB, km, y, m, cm

  INTEGER :: cm_sto_m
  INTEGER :: m_sto_km 

  PRINT *, "Dwse ton ari8mo twn bimatwn..."
  READ *, N         

  cm_sto_m = 100
  m_sto_km = 1000
  
  AB = N * 80
  PRINT *, "H apostasi einai..."
  PRINT *, AB,"cm" 

  cm = MOD(AB,cm_sto_m)
  AB = AB / cm_sto_m

  m = MOD(AB, m_sto_km)
  AB = AB / m_sto_km

  km = AB  
  
  PRINT *, "H apostasi ayti antistoixei se..."
  PRINT *, km,"km ",m,"m ",cm," cm"

END PROGRAM robot
